Skip to main content
GET
/
payment-batches
List payment batches
curl --request GET \
  --url https://api.equalsmoney.com/v2/payment-batches \
  --header 'Authorization: <api-key>'
{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "accountId": "string",
      "name": "string",
      "createdBy": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "type": "person"
      },
      "product": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "status": "draft",
      "visible": true,
      "visibleAt": "2019-08-24T14:15:22Z",
      "confirmedBy": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "type": "person"
      },
      "confirmedAt": "2019-08-24T14:15:22Z",
      "passedMfaCheckAt": "2019-08-24T14:15:22Z",
      "riskCheckedAt": "2019-08-24T14:15:22Z",
      "ordersSentAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "alerts": [
        {
          "timestamp": "2019-08-24T14:15:22Z",
          "type": "Error",
          "code": "string",
          "message": "string"
        }
      ],
      "ordersSummary": {
        "numberOfOrders": 0,
        "uniqueCurrencyCodes": [
          "USD"
        ]
      },
      "input": {
        "format": "json",
        "status": "accepted",
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

sort
enum<string>
default:desc

Determines whether the page of items are sorted in ascending or descending order.

Available options:
asc,
desc
offset
integer
default:0

The number of items to skip before returning results.

Example:

100

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

ids

A comma-separated set of payment batch ids to filter by.

include
enum<string>
Available options:
ordersSummary
includeHidden
enum<string>

Includes Payment Batches presently not otherwise visible.

Available options:
true,
false
statuses
enum<string>
Available options:
draft,
validated,
confirmed,
started,
completed,
failed,
cancelled
createdByIds

A comma-separated set of createdBy ids to filter by.

Search term to find payment batches by name, order ID, or payment reference.

Required string length: 3 - 100
startDate
string

The earliest date from which to retrieve records (includes records on this date).

Example:

"2020-08-12"

endDate
string

The latest date until which to retrieve records (includes records on this date).

Example:

"2020-08-13"

orderIds

A comma-separated set of order ids - returns batches containing these orders.

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required

Array of all matching payment batches.

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100